/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package safe10.classmodel.hardware.failure.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;

import org.eclipse.sphinx.emf.ecore.ExtendedEObjectImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.HardwareSafetyDesign;
import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.errormodel.malfunction.MalfunctionPrototype;

import safe10.classmodel.hardware.failure.FailurePackage;
import safe10.classmodel.hardware.failure.HWComponentPrototypeScope;
import safe10.classmodel.hardware.failure.HardwareFailureAnalysis;

import safe10.classmodel.hardware.hwquantitativemeasure.HWQuantitativeFailureAnalysis;
import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Hardware Failure Analysis</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl#getMalfunctionAnalysis <em>Malfunction Analysis</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl#getNameWasNotSet_1 <em>Name Was Not Set 1</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl#getHardwareComponentScope <em>Hardware Component Scope</em>}</li>
 *   <li>{@link safe10.classmodel.hardware.failure.impl.HardwareFailureAnalysisImpl#getHardwareQuantifiedAnalysis <em>Hardware Quantified Analysis</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class HardwareFailureAnalysisImpl extends ExtendedEObjectImpl implements HardwareFailureAnalysis
{
  /**
   * The cached value of the '{@link #getMalfunctionAnalysis() <em>Malfunction Analysis</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getMalfunctionAnalysis()
   * @generated
   * @ordered
   */
  protected MalfunctionPrototype malfunctionAnalysis;

  /**
   * The cached value of the '{@link #getNameWasNotSet_1() <em>Name Was Not Set 1</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getNameWasNotSet_1()
   * @generated
   * @ordered
   */
  protected HardwareSafetyDesign nameWasNotSet_1;

  /**
   * The cached value of the '{@link #getHardwareComponentScope() <em>Hardware Component Scope</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHardwareComponentScope()
   * @generated
   * @ordered
   */
  protected EList<HWComponentPrototypeScope> hardwareComponentScope;

  /**
   * The cached value of the '{@link #getHardwareQuantifiedAnalysis() <em>Hardware Quantified Analysis</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHardwareQuantifiedAnalysis()
   * @generated
   * @ordered
   */
  protected HWQuantitativeFailureAnalysis hardwareQuantifiedAnalysis;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected HardwareFailureAnalysisImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return FailurePackage.Literals.HARDWARE_FAILURE_ANALYSIS;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MalfunctionPrototype getMalfunctionAnalysis()
  {
    if (malfunctionAnalysis != null && malfunctionAnalysis.eIsProxy())
    {
      InternalEObject oldMalfunctionAnalysis = (InternalEObject)malfunctionAnalysis;
      malfunctionAnalysis = (MalfunctionPrototype)eResolveProxy(oldMalfunctionAnalysis);
      if (malfunctionAnalysis != oldMalfunctionAnalysis)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, FailurePackage.HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS, oldMalfunctionAnalysis, malfunctionAnalysis));
      }
    }
    return malfunctionAnalysis;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MalfunctionPrototype basicGetMalfunctionAnalysis()
  {
    return malfunctionAnalysis;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setMalfunctionAnalysis(MalfunctionPrototype newMalfunctionAnalysis)
  {
    MalfunctionPrototype oldMalfunctionAnalysis = malfunctionAnalysis;
    malfunctionAnalysis = newMalfunctionAnalysis;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS, oldMalfunctionAnalysis, malfunctionAnalysis));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HardwareSafetyDesign getNameWasNotSet_1()
  {
    if (nameWasNotSet_1 != null && nameWasNotSet_1.eIsProxy())
    {
      InternalEObject oldNameWasNotSet_1 = (InternalEObject)nameWasNotSet_1;
      nameWasNotSet_1 = (HardwareSafetyDesign)eResolveProxy(oldNameWasNotSet_1);
      if (nameWasNotSet_1 != oldNameWasNotSet_1)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1, oldNameWasNotSet_1, nameWasNotSet_1));
      }
    }
    return nameWasNotSet_1;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HardwareSafetyDesign basicGetNameWasNotSet_1()
  {
    return nameWasNotSet_1;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetNameWasNotSet_1(HardwareSafetyDesign newNameWasNotSet_1, NotificationChain msgs)
  {
    HardwareSafetyDesign oldNameWasNotSet_1 = nameWasNotSet_1;
    nameWasNotSet_1 = newNameWasNotSet_1;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1, oldNameWasNotSet_1, newNameWasNotSet_1);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setNameWasNotSet_1(HardwareSafetyDesign newNameWasNotSet_1)
  {
    if (newNameWasNotSet_1 != nameWasNotSet_1)
    {
      NotificationChain msgs = null;
      if (nameWasNotSet_1 != null)
        msgs = ((InternalEObject)nameWasNotSet_1).eInverseRemove(this, TechnicalsafetyextensionPackage.HARDWARE_SAFETY_DESIGN__HARWDARE_SAFETY_ANALYSIS, HardwareSafetyDesign.class, msgs);
      if (newNameWasNotSet_1 != null)
        msgs = ((InternalEObject)newNameWasNotSet_1).eInverseAdd(this, TechnicalsafetyextensionPackage.HARDWARE_SAFETY_DESIGN__HARWDARE_SAFETY_ANALYSIS, HardwareSafetyDesign.class, msgs);
      msgs = basicSetNameWasNotSet_1(newNameWasNotSet_1, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1, newNameWasNotSet_1, newNameWasNotSet_1));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<HWComponentPrototypeScope> getHardwareComponentScope()
  {
    if (hardwareComponentScope == null)
    {
      hardwareComponentScope = new EObjectWithInverseResolvingEList<HWComponentPrototypeScope>(HWComponentPrototypeScope.class, this, FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE, FailurePackage.HW_COMPONENT_PROTOTYPE_SCOPE__NAME_WAS_NOT_SET_3);
    }
    return hardwareComponentScope;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWQuantitativeFailureAnalysis getHardwareQuantifiedAnalysis()
  {
    if (hardwareQuantifiedAnalysis != null && hardwareQuantifiedAnalysis.eIsProxy())
    {
      InternalEObject oldHardwareQuantifiedAnalysis = (InternalEObject)hardwareQuantifiedAnalysis;
      hardwareQuantifiedAnalysis = (HWQuantitativeFailureAnalysis)eResolveProxy(oldHardwareQuantifiedAnalysis);
      if (hardwareQuantifiedAnalysis != oldHardwareQuantifiedAnalysis)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS, oldHardwareQuantifiedAnalysis, hardwareQuantifiedAnalysis));
      }
    }
    return hardwareQuantifiedAnalysis;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public HWQuantitativeFailureAnalysis basicGetHardwareQuantifiedAnalysis()
  {
    return hardwareQuantifiedAnalysis;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetHardwareQuantifiedAnalysis(HWQuantitativeFailureAnalysis newHardwareQuantifiedAnalysis, NotificationChain msgs)
  {
    HWQuantitativeFailureAnalysis oldHardwareQuantifiedAnalysis = hardwareQuantifiedAnalysis;
    hardwareQuantifiedAnalysis = newHardwareQuantifiedAnalysis;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS, oldHardwareQuantifiedAnalysis, newHardwareQuantifiedAnalysis);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHardwareQuantifiedAnalysis(HWQuantitativeFailureAnalysis newHardwareQuantifiedAnalysis)
  {
    if (newHardwareQuantifiedAnalysis != hardwareQuantifiedAnalysis)
    {
      NotificationChain msgs = null;
      if (hardwareQuantifiedAnalysis != null)
        msgs = ((InternalEObject)hardwareQuantifiedAnalysis).eInverseRemove(this, HwquantitativemeasurePackage.HW_QUANTITATIVE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_8, HWQuantitativeFailureAnalysis.class, msgs);
      if (newHardwareQuantifiedAnalysis != null)
        msgs = ((InternalEObject)newHardwareQuantifiedAnalysis).eInverseAdd(this, HwquantitativemeasurePackage.HW_QUANTITATIVE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_8, HWQuantitativeFailureAnalysis.class, msgs);
      msgs = basicSetHardwareQuantifiedAnalysis(newHardwareQuantifiedAnalysis, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS, newHardwareQuantifiedAnalysis, newHardwareQuantifiedAnalysis));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1:
        if (nameWasNotSet_1 != null)
          msgs = ((InternalEObject)nameWasNotSet_1).eInverseRemove(this, TechnicalsafetyextensionPackage.HARDWARE_SAFETY_DESIGN__HARWDARE_SAFETY_ANALYSIS, HardwareSafetyDesign.class, msgs);
        return basicSetNameWasNotSet_1((HardwareSafetyDesign)otherEnd, msgs);
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE:
        return ((InternalEList<InternalEObject>)(InternalEList<?>)getHardwareComponentScope()).basicAdd(otherEnd, msgs);
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS:
        if (hardwareQuantifiedAnalysis != null)
          msgs = ((InternalEObject)hardwareQuantifiedAnalysis).eInverseRemove(this, HwquantitativemeasurePackage.HW_QUANTITATIVE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_8, HWQuantitativeFailureAnalysis.class, msgs);
        return basicSetHardwareQuantifiedAnalysis((HWQuantitativeFailureAnalysis)otherEnd, msgs);
    }
    return super.eInverseAdd(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1:
        return basicSetNameWasNotSet_1(null, msgs);
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE:
        return ((InternalEList<?>)getHardwareComponentScope()).basicRemove(otherEnd, msgs);
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS:
        return basicSetHardwareQuantifiedAnalysis(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS:
        if (resolve) return getMalfunctionAnalysis();
        return basicGetMalfunctionAnalysis();
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1:
        if (resolve) return getNameWasNotSet_1();
        return basicGetNameWasNotSet_1();
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE:
        return getHardwareComponentScope();
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS:
        if (resolve) return getHardwareQuantifiedAnalysis();
        return basicGetHardwareQuantifiedAnalysis();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS:
   			setMalfunctionAnalysis((MalfunctionPrototype)newValue);
        return;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1:
   			setNameWasNotSet_1((HardwareSafetyDesign)newValue);
        return;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE:
        getHardwareComponentScope().clear();
        getHardwareComponentScope().addAll((Collection<? extends HWComponentPrototypeScope>)newValue);
        return;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS:
   			setHardwareQuantifiedAnalysis((HWQuantitativeFailureAnalysis)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS:
        	setMalfunctionAnalysis((MalfunctionPrototype)null);
        return;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1:
        	setNameWasNotSet_1((HardwareSafetyDesign)null);
        return;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE:
        getHardwareComponentScope().clear();
        return;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS:
        	setHardwareQuantifiedAnalysis((HWQuantitativeFailureAnalysis)null);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__MALFUNCTION_ANALYSIS:
        return malfunctionAnalysis != null;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__NAME_WAS_NOT_SET_1:
        return nameWasNotSet_1 != null;
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_COMPONENT_SCOPE:
        return hardwareComponentScope != null && !hardwareComponentScope.isEmpty();
      case FailurePackage.HARDWARE_FAILURE_ANALYSIS__HARDWARE_QUANTIFIED_ANALYSIS:
        return hardwareQuantifiedAnalysis != null;
    }
    return super.eIsSet(featureID);
  }

} //HardwareFailureAnalysisImpl
