/**
 */
package safe10.classmodel.requirements.softwaresafetyrequirements.comparison.impl;

import autosar40.bswmodule.bswinterfaces.BswinterfacesPackage;

import autosar40.bswmodule.bswoverview.BswoverviewPackage;

import autosar40.commonstructure.modedeclaration.ModedeclarationPackage;

import autosar40.ecuresource.EcuresourcePackage;

import autosar40.swcomponent.components.ComponentsPackage;

import autosar40.swcomponent.composition.CompositionPackage;

import autosar40.swcomponent.datatype.dataprototypes.DataprototypesPackage;

import autosar40.swcomponent.portinterface.PortinterfacePackage;

import autosar40.swcomponent.swcinternalbehavior.SwcinternalbehaviorPackage;

import autosar40.system.SystemPackage;

import eastadl21.east_adl.environment.EnvironmentPackage;

import eastadl21.east_adl.requirements.RequirementsPackage;

import eastadl21.east_adl.structure.featuremodeling.FeaturemodelingPackage;

import eastadl21.east_adl.structure.functionmodeling.FunctionmodelingPackage;

import eastadl21.east_adl.structure.hardwaremodeling.HardwaremodelingPackage;

import eastadl21.east_adl.structure.systemmodeling.SystemmodelingPackage;

import eastadl21.east_adl.structure.vehiclefeaturemodeling.VehiclefeaturemodelingPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import safe10.classmodel.commonstructure.datatypes.DatatypesPackage;

import safe10.classmodel.commonstructure.datatypes.impl.DatatypesPackageImpl;

import safe10.classmodel.commonstructure.formulaexpression.FormulaexpressionPackage;

import safe10.classmodel.commonstructure.formulaexpression.impl.FormulaexpressionPackageImpl;

import safe10.classmodel.commonstructure.references.ReferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.ChromosomereferencesPackage;

import safe10.classmodel.commonstructure.references.chromosomereferences.impl.ChromosomereferencesPackageImpl;

import safe10.classmodel.commonstructure.references.impl.ReferencesPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.SafetyextensionsPackage;

import safe10.classmodel.commonstructure.safetyextensions.impl.SafetyextensionsPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.SoftwaresafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.softwaresafetyextension.impl.SoftwaresafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.TechnicalsafetyextensionPackage;

import safe10.classmodel.commonstructure.safetyextensions.technicalsafetyextension.impl.TechnicalsafetyextensionPackageImpl;

import safe10.classmodel.commonstructure.toplevel.ToplevelPackage;

import safe10.classmodel.commonstructure.toplevel.impl.ToplevelPackageImpl;

import safe10.classmodel.configuration.ConfigurationPackage;

import safe10.classmodel.configuration.impl.ConfigurationPackageImpl;

import safe10.classmodel.errormodel.ErrormodelPackage;

import safe10.classmodel.errormodel._instanceref._instancerefPackage;

import safe10.classmodel.errormodel._instanceref.impl._instancerefPackageImpl;

import safe10.classmodel.errormodel.errorbehavior.ErrorbehaviorPackage;

import safe10.classmodel.errormodel.errorbehavior.impl.ErrorbehaviorPackageImpl;

import safe10.classmodel.errormodel.errormodeltype.ErrormodeltypePackage;

import safe10.classmodel.errormodel.errormodeltype.impl.ErrormodeltypePackageImpl;

import safe10.classmodel.errormodel.impl.ErrormodelPackageImpl;

import safe10.classmodel.errormodel.malfunction.MalfunctionPackage;

import safe10.classmodel.errormodel.malfunction.impl.MalfunctionPackageImpl;

import safe10.classmodel.hardware.failure.FailurePackage;

import safe10.classmodel.hardware.failure.impl.FailurePackageImpl;

import safe10.classmodel.hardware.failureformula.FailureformulaPackage;

import safe10.classmodel.hardware.failureformula.impl.FailureformulaPackageImpl;

import safe10.classmodel.hardware.failurepart.FailurepartPackage;

import safe10.classmodel.hardware.failurepart.impl.FailurepartPackageImpl;

import safe10.classmodel.hardware.hwarchitecturalmetrics.HwarchitecturalmetricsPackage;

import safe10.classmodel.hardware.hwarchitecturalmetrics.impl.HwarchitecturalmetricsPackageImpl;

import safe10.classmodel.hardware.hwquantitativemeasure.HwquantitativemeasurePackage;

import safe10.classmodel.hardware.hwquantitativemeasure.impl.HwquantitativemeasurePackageImpl;

import safe10.classmodel.hardware.probabilisticmethods.ProbabilisticmethodsPackage;

import safe10.classmodel.hardware.probabilisticmethods.impl.ProbabilisticmethodsPackageImpl;

import safe10.classmodel.hazards.HazardsPackage;

import safe10.classmodel.hazards.impl.HazardsPackageImpl;

import safe10.classmodel.requirements.impl.RequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.SoftwaresafetyrequirementsPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.ActuatormonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.actuatormonitor.impl.ActuatormonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.AlivenessmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.alivenessmonitor.impl.AlivenessmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparison;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.AutosarComparisonParam;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ChromosomeComparison;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ChromosomeComparisonParameter;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.Comparison;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonFactory;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonOperation;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonParameter;
import safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ConstantComparisonParameter;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.ContextrangecheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.contextrangecheck.impl.ContextrangecheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.CpuselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.cpuselftest.impl.CpuselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.CrcchecksumPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.crcchecksum.impl.CrcchecksumPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.FilterPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.filter.impl.FilterPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.GradientcheckPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.gradientcheck.impl.GradientcheckPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.HealthmonitorPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.healthmonitor.impl.HealthmonitorPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.HeartbeatPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.heartbeat.impl.HeartbeatPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.impl.SoftwaresafetyrequirementsPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.MemoryselftestPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.memoryselftest.impl.MemoryselftestPackageImpl;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.VotingPackage;

import safe10.classmodel.requirements.softwaresafetyrequirements.voting.impl.VotingPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ComparisonPackageImpl extends EPackageImpl implements ComparisonPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass autosarComparisonEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass autosarComparisonParamEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass chromosomeComparisonEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass chromosomeComparisonParameterEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass comparisonEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass comparisonParameterEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass constantComparisonParameterEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum comparisonOperationEEnum = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see safe10.classmodel.requirements.softwaresafetyrequirements.comparison.ComparisonPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private ComparisonPackageImpl()
  {
    super(eNS_URI, ComparisonFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link ComparisonPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static ComparisonPackage init()
  {
    if (isInited) return (ComparisonPackage)EPackage.Registry.INSTANCE.getEPackage(ComparisonPackage.eNS_URI);

    // Obtain or create and register package
    ComparisonPackageImpl theComparisonPackage = (ComparisonPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof ComparisonPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new ComparisonPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    SystemmodelingPackage.eINSTANCE.eClass();
    FeaturemodelingPackage.eINSTANCE.eClass();
    VehiclefeaturemodelingPackage.eINSTANCE.eClass();
    FunctionmodelingPackage.eINSTANCE.eClass();
    HardwaremodelingPackage.eINSTANCE.eClass();
    RequirementsPackage.eINSTANCE.eClass();
    EnvironmentPackage.eINSTANCE.eClass();
    EcuresourcePackage.eINSTANCE.eClass();
    ModedeclarationPackage.eINSTANCE.eClass();
    DataprototypesPackage.eINSTANCE.eClass();
    CompositionPackage.eINSTANCE.eClass();
    ComponentsPackage.eINSTANCE.eClass();
    PortinterfacePackage.eINSTANCE.eClass();
    SwcinternalbehaviorPackage.eINSTANCE.eClass();
    SystemPackage.eINSTANCE.eClass();
    BswoverviewPackage.eINSTANCE.eClass();
    BswinterfacesPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) instanceof DatatypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI) : DatatypesPackage.eINSTANCE);
    FormulaexpressionPackageImpl theFormulaexpressionPackage = (FormulaexpressionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) instanceof FormulaexpressionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FormulaexpressionPackage.eNS_URI) : FormulaexpressionPackage.eINSTANCE);
    ReferencesPackageImpl theReferencesPackage = (ReferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) instanceof ReferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ReferencesPackage.eNS_URI) : ReferencesPackage.eINSTANCE);
    ChromosomereferencesPackageImpl theChromosomereferencesPackage = (ChromosomereferencesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) instanceof ChromosomereferencesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI) : ChromosomereferencesPackage.eINSTANCE);
    SafetyextensionsPackageImpl theSafetyextensionsPackage = (SafetyextensionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) instanceof SafetyextensionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SafetyextensionsPackage.eNS_URI) : SafetyextensionsPackage.eINSTANCE);
    SoftwaresafetyextensionPackageImpl theSoftwaresafetyextensionPackage = (SoftwaresafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) instanceof SoftwaresafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyextensionPackage.eNS_URI) : SoftwaresafetyextensionPackage.eINSTANCE);
    TechnicalsafetyextensionPackageImpl theTechnicalsafetyextensionPackage = (TechnicalsafetyextensionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) instanceof TechnicalsafetyextensionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TechnicalsafetyextensionPackage.eNS_URI) : TechnicalsafetyextensionPackage.eINSTANCE);
    ToplevelPackageImpl theToplevelPackage = (ToplevelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) instanceof ToplevelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ToplevelPackage.eNS_URI) : ToplevelPackage.eINSTANCE);
    ConfigurationPackageImpl theConfigurationPackage = (ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) instanceof ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ConfigurationPackage.eNS_URI) : ConfigurationPackage.eINSTANCE);
    ErrormodelPackageImpl theErrormodelPackage = (ErrormodelPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) instanceof ErrormodelPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodelPackage.eNS_URI) : ErrormodelPackage.eINSTANCE);
    _instancerefPackageImpl the_instancerefPackage = (_instancerefPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) instanceof _instancerefPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(_instancerefPackage.eNS_URI) : _instancerefPackage.eINSTANCE);
    ErrorbehaviorPackageImpl theErrorbehaviorPackage = (ErrorbehaviorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) instanceof ErrorbehaviorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrorbehaviorPackage.eNS_URI) : ErrorbehaviorPackage.eINSTANCE);
    ErrormodeltypePackageImpl theErrormodeltypePackage = (ErrormodeltypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) instanceof ErrormodeltypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ErrormodeltypePackage.eNS_URI) : ErrormodeltypePackage.eINSTANCE);
    MalfunctionPackageImpl theMalfunctionPackage = (MalfunctionPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) instanceof MalfunctionPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MalfunctionPackage.eNS_URI) : MalfunctionPackage.eINSTANCE);
    FailureformulaPackageImpl theFailureformulaPackage = (FailureformulaPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) instanceof FailureformulaPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailureformulaPackage.eNS_URI) : FailureformulaPackage.eINSTANCE);
    FailurePackageImpl theFailurePackage = (FailurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) instanceof FailurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurePackage.eNS_URI) : FailurePackage.eINSTANCE);
    FailurepartPackageImpl theFailurepartPackage = (FailurepartPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) instanceof FailurepartPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FailurepartPackage.eNS_URI) : FailurepartPackage.eINSTANCE);
    HwquantitativemeasurePackageImpl theHwquantitativemeasurePackage = (HwquantitativemeasurePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) instanceof HwquantitativemeasurePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwquantitativemeasurePackage.eNS_URI) : HwquantitativemeasurePackage.eINSTANCE);
    HwarchitecturalmetricsPackageImpl theHwarchitecturalmetricsPackage = (HwarchitecturalmetricsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) instanceof HwarchitecturalmetricsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwarchitecturalmetricsPackage.eNS_URI) : HwarchitecturalmetricsPackage.eINSTANCE);
    ProbabilisticmethodsPackageImpl theProbabilisticmethodsPackage = (ProbabilisticmethodsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) instanceof ProbabilisticmethodsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ProbabilisticmethodsPackage.eNS_URI) : ProbabilisticmethodsPackage.eINSTANCE);
    HazardsPackageImpl theHazardsPackage = (HazardsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) instanceof HazardsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HazardsPackage.eNS_URI) : HazardsPackage.eINSTANCE);
    RequirementsPackageImpl theRequirementsPackage_1 = (RequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) instanceof RequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.requirements.RequirementsPackage.eNS_URI) : safe10.classmodel.requirements.RequirementsPackage.eINSTANCE);
    SoftwaresafetyrequirementsPackageImpl theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) instanceof SoftwaresafetyrequirementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI) : SoftwaresafetyrequirementsPackage.eINSTANCE);
    AlivenessmonitorPackageImpl theAlivenessmonitorPackage = (AlivenessmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) instanceof AlivenessmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AlivenessmonitorPackage.eNS_URI) : AlivenessmonitorPackage.eINSTANCE);
    ActuatormonitorPackageImpl theActuatormonitorPackage = (ActuatormonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) instanceof ActuatormonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ActuatormonitorPackage.eNS_URI) : ActuatormonitorPackage.eINSTANCE);
    CrcchecksumPackageImpl theCrcchecksumPackage = (CrcchecksumPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) instanceof CrcchecksumPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CrcchecksumPackage.eNS_URI) : CrcchecksumPackage.eINSTANCE);
    ContextrangecheckPackageImpl theContextrangecheckPackage = (ContextrangecheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) instanceof ContextrangecheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(ContextrangecheckPackage.eNS_URI) : ContextrangecheckPackage.eINSTANCE);
    CpuselftestPackageImpl theCpuselftestPackage = (CpuselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) instanceof CpuselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CpuselftestPackage.eNS_URI) : CpuselftestPackage.eINSTANCE);
    FilterPackageImpl theFilterPackage = (FilterPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) instanceof FilterPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(FilterPackage.eNS_URI) : FilterPackage.eINSTANCE);
    GradientcheckPackageImpl theGradientcheckPackage = (GradientcheckPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) instanceof GradientcheckPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GradientcheckPackage.eNS_URI) : GradientcheckPackage.eINSTANCE);
    HealthmonitorPackageImpl theHealthmonitorPackage = (HealthmonitorPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) instanceof HealthmonitorPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HealthmonitorPackage.eNS_URI) : HealthmonitorPackage.eINSTANCE);
    HeartbeatPackageImpl theHeartbeatPackage = (HeartbeatPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) instanceof HeartbeatPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HeartbeatPackage.eNS_URI) : HeartbeatPackage.eINSTANCE);
    MemoryselftestPackageImpl theMemoryselftestPackage = (MemoryselftestPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) instanceof MemoryselftestPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MemoryselftestPackage.eNS_URI) : MemoryselftestPackage.eINSTANCE);
    VotingPackageImpl theVotingPackage = (VotingPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) instanceof VotingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VotingPackage.eNS_URI) : VotingPackage.eINSTANCE);
    safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl theConfigurationPackage_1 = (safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) instanceof safe10.classmodel.software.configuration.impl.ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI) : safe10.classmodel.software.configuration.ConfigurationPackage.eINSTANCE);

    // Create package meta-data objects
    theComparisonPackage.createPackageContents();
    theDatatypesPackage.createPackageContents();
    theFormulaexpressionPackage.createPackageContents();
    theReferencesPackage.createPackageContents();
    theChromosomereferencesPackage.createPackageContents();
    theSafetyextensionsPackage.createPackageContents();
    theSoftwaresafetyextensionPackage.createPackageContents();
    theTechnicalsafetyextensionPackage.createPackageContents();
    theToplevelPackage.createPackageContents();
    theConfigurationPackage.createPackageContents();
    theErrormodelPackage.createPackageContents();
    the_instancerefPackage.createPackageContents();
    theErrorbehaviorPackage.createPackageContents();
    theErrormodeltypePackage.createPackageContents();
    theMalfunctionPackage.createPackageContents();
    theFailureformulaPackage.createPackageContents();
    theFailurePackage.createPackageContents();
    theFailurepartPackage.createPackageContents();
    theHwquantitativemeasurePackage.createPackageContents();
    theHwarchitecturalmetricsPackage.createPackageContents();
    theProbabilisticmethodsPackage.createPackageContents();
    theHazardsPackage.createPackageContents();
    theRequirementsPackage_1.createPackageContents();
    theSoftwaresafetyrequirementsPackage.createPackageContents();
    theAlivenessmonitorPackage.createPackageContents();
    theActuatormonitorPackage.createPackageContents();
    theCrcchecksumPackage.createPackageContents();
    theContextrangecheckPackage.createPackageContents();
    theCpuselftestPackage.createPackageContents();
    theFilterPackage.createPackageContents();
    theGradientcheckPackage.createPackageContents();
    theHealthmonitorPackage.createPackageContents();
    theHeartbeatPackage.createPackageContents();
    theMemoryselftestPackage.createPackageContents();
    theVotingPackage.createPackageContents();
    theConfigurationPackage_1.createPackageContents();

    // Initialize created meta-data
    theComparisonPackage.initializePackageContents();
    theDatatypesPackage.initializePackageContents();
    theFormulaexpressionPackage.initializePackageContents();
    theReferencesPackage.initializePackageContents();
    theChromosomereferencesPackage.initializePackageContents();
    theSafetyextensionsPackage.initializePackageContents();
    theSoftwaresafetyextensionPackage.initializePackageContents();
    theTechnicalsafetyextensionPackage.initializePackageContents();
    theToplevelPackage.initializePackageContents();
    theConfigurationPackage.initializePackageContents();
    theErrormodelPackage.initializePackageContents();
    the_instancerefPackage.initializePackageContents();
    theErrorbehaviorPackage.initializePackageContents();
    theErrormodeltypePackage.initializePackageContents();
    theMalfunctionPackage.initializePackageContents();
    theFailureformulaPackage.initializePackageContents();
    theFailurePackage.initializePackageContents();
    theFailurepartPackage.initializePackageContents();
    theHwquantitativemeasurePackage.initializePackageContents();
    theHwarchitecturalmetricsPackage.initializePackageContents();
    theProbabilisticmethodsPackage.initializePackageContents();
    theHazardsPackage.initializePackageContents();
    theRequirementsPackage_1.initializePackageContents();
    theSoftwaresafetyrequirementsPackage.initializePackageContents();
    theAlivenessmonitorPackage.initializePackageContents();
    theActuatormonitorPackage.initializePackageContents();
    theCrcchecksumPackage.initializePackageContents();
    theContextrangecheckPackage.initializePackageContents();
    theCpuselftestPackage.initializePackageContents();
    theFilterPackage.initializePackageContents();
    theGradientcheckPackage.initializePackageContents();
    theHealthmonitorPackage.initializePackageContents();
    theHeartbeatPackage.initializePackageContents();
    theMemoryselftestPackage.initializePackageContents();
    theVotingPackage.initializePackageContents();
    theConfigurationPackage_1.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theComparisonPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(ComparisonPackage.eNS_URI, theComparisonPackage);
    return theComparisonPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAutosarComparison()
  {
    return autosarComparisonEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAutosarComparisonParam()
  {
    return autosarComparisonParamEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getAutosarComparisonParam_Target()
  {
    return (EReference)autosarComparisonParamEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getChromosomeComparison()
  {
    return chromosomeComparisonEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getChromosomeComparison_Target()
  {
    return (EReference)chromosomeComparisonEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getChromosomeComparisonParameter()
  {
    return chromosomeComparisonParameterEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getChromosomeComparisonParameter_Target()
  {
    return (EReference)chromosomeComparisonParameterEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getComparison()
  {
    return comparisonEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getComparison_Tolerance()
  {
    return (EAttribute)comparisonEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getComparison_Operation()
  {
    return (EAttribute)comparisonEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getComparison_ComparisonFalse()
  {
    return (EReference)comparisonEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getComparison_ComparisonTrue()
  {
    return (EReference)comparisonEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getComparison_ParamB()
  {
    return (EReference)comparisonEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getComparison_ParamA()
  {
    return (EReference)comparisonEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getComparisonParameter()
  {
    return comparisonParameterEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getConstantComparisonParameter()
  {
    return constantComparisonParameterEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getComparisonOperation()
  {
    return comparisonOperationEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ComparisonFactory getComparisonFactory()
  {
    return (ComparisonFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    autosarComparisonEClass = createEClass(AUTOSAR_COMPARISON);

    autosarComparisonParamEClass = createEClass(AUTOSAR_COMPARISON_PARAM);
    createEReference(autosarComparisonParamEClass, AUTOSAR_COMPARISON_PARAM__TARGET);

    chromosomeComparisonEClass = createEClass(CHROMOSOME_COMPARISON);
    createEReference(chromosomeComparisonEClass, CHROMOSOME_COMPARISON__TARGET);

    chromosomeComparisonParameterEClass = createEClass(CHROMOSOME_COMPARISON_PARAMETER);
    createEReference(chromosomeComparisonParameterEClass, CHROMOSOME_COMPARISON_PARAMETER__TARGET);

    comparisonEClass = createEClass(COMPARISON);
    createEAttribute(comparisonEClass, COMPARISON__TOLERANCE);
    createEAttribute(comparisonEClass, COMPARISON__OPERATION);
    createEReference(comparisonEClass, COMPARISON__COMPARISON_FALSE);
    createEReference(comparisonEClass, COMPARISON__COMPARISON_TRUE);
    createEReference(comparisonEClass, COMPARISON__PARAM_B);
    createEReference(comparisonEClass, COMPARISON__PARAM_A);

    comparisonParameterEClass = createEClass(COMPARISON_PARAMETER);

    constantComparisonParameterEClass = createEClass(CONSTANT_COMPARISON_PARAMETER);

    // Create enums
    comparisonOperationEEnum = createEEnum(COMPARISON_OPERATION);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    DataprototypesPackage theDataprototypesPackage = (DataprototypesPackage)EPackage.Registry.INSTANCE.getEPackage(DataprototypesPackage.eNS_URI);
    ChromosomereferencesPackage theChromosomereferencesPackage = (ChromosomereferencesPackage)EPackage.Registry.INSTANCE.getEPackage(ChromosomereferencesPackage.eNS_URI);
    SoftwaresafetyrequirementsPackage theSoftwaresafetyrequirementsPackage = (SoftwaresafetyrequirementsPackage)EPackage.Registry.INSTANCE.getEPackage(SoftwaresafetyrequirementsPackage.eNS_URI);
    DatatypesPackage theDatatypesPackage = (DatatypesPackage)EPackage.Registry.INSTANCE.getEPackage(DatatypesPackage.eNS_URI);
    safe10.classmodel.software.configuration.ConfigurationPackage theConfigurationPackage_1 = (safe10.classmodel.software.configuration.ConfigurationPackage)EPackage.Registry.INSTANCE.getEPackage(safe10.classmodel.software.configuration.ConfigurationPackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    autosarComparisonEClass.getESuperTypes().add(this.getComparison());
    autosarComparisonParamEClass.getESuperTypes().add(this.getComparisonParameter());
    chromosomeComparisonEClass.getESuperTypes().add(this.getComparison());
    chromosomeComparisonParameterEClass.getESuperTypes().add(this.getComparisonParameter());
    comparisonEClass.getESuperTypes().add(theSoftwaresafetyrequirementsPackage.getErrorDetectionSSR());
    constantComparisonParameterEClass.getESuperTypes().add(theConfigurationPackage_1.getConfigParameterValue());
    constantComparisonParameterEClass.getESuperTypes().add(this.getComparisonParameter());

    // Initialize classes and features; add operations and parameters
    initEClass(autosarComparisonEClass, AutosarComparison.class, "AutosarComparison", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(autosarComparisonParamEClass, AutosarComparisonParam.class, "AutosarComparisonParam", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getAutosarComparisonParam_Target(), theDataprototypesPackage.getVariableDataPrototype(), null, "target", null, 1, 1, AutosarComparisonParam.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(chromosomeComparisonEClass, ChromosomeComparison.class, "ChromosomeComparison", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getChromosomeComparison_Target(), theChromosomereferencesPackage.getComponent(), null, "target", null, 1, 1, ChromosomeComparison.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(chromosomeComparisonParameterEClass, ChromosomeComparisonParameter.class, "ChromosomeComparisonParameter", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getChromosomeComparisonParameter_Target(), theChromosomereferencesPackage.getTopic(), null, "target", null, 1, 1, ChromosomeComparisonParameter.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(comparisonEClass, Comparison.class, "Comparison", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getComparison_Tolerance(), theDatatypesPackage.getFloat(), "tolerance", "0.0", 1, 1, Comparison.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getComparison_Operation(), this.getComparisonOperation(), "operation", "LT", 1, 1, Comparison.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getComparison_ComparisonFalse(), theSoftwaresafetyrequirementsPackage.getErrorHandlerSSR(), null, "comparisonFalse", null, 0, -1, Comparison.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getComparison_ComparisonTrue(), theSoftwaresafetyrequirementsPackage.getErrorHandlerSSR(), null, "comparisonTrue", null, 0, -1, Comparison.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getComparison_ParamB(), this.getComparisonParameter(), null, "paramB", null, 1, 1, Comparison.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getComparison_ParamA(), this.getComparisonParameter(), null, "paramA", null, 1, 1, Comparison.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(comparisonParameterEClass, ComparisonParameter.class, "ComparisonParameter", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(constantComparisonParameterEClass, ConstantComparisonParameter.class, "ConstantComparisonParameter", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    // Initialize enums and add enum literals
    initEEnum(comparisonOperationEEnum, ComparisonOperation.class, "ComparisonOperation");
    addEEnumLiteral(comparisonOperationEEnum, ComparisonOperation.LT);
    addEEnumLiteral(comparisonOperationEEnum, ComparisonOperation.LTE);
    addEEnumLiteral(comparisonOperationEEnum, ComparisonOperation.EQ);
    addEEnumLiteral(comparisonOperationEEnum, ComparisonOperation.NEQ);
    addEEnumLiteral(comparisonOperationEEnum, ComparisonOperation.GTE);
    addEEnumLiteral(comparisonOperationEEnum, ComparisonOperation.GT);

    // Create annotations
    // MetaData
    createMetaDataAnnotations();
    // TaggedValues
    createTaggedValuesAnnotations();
    // EAAdapter
    createEAAdapterAnnotations();
    // Stereotype
    createStereotypeAnnotations();
  }

  /**
   * Initializes the annotations for <b>MetaData</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createMetaDataAnnotations()
  {
    String source = "MetaData";		
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "guid", "{62CF0865-E236-49a3-BC7B-71045520BC50}",
       "id", "37",
       "EA name", "Comparison"
       });					
    addAnnotation
      (autosarComparisonEClass, 
       source, 
       new String[] 
       {
       "guid", "{9493BD1D-1C5F-402d-ABC2-C0901B773830}",
       "id", "236",
       "EA name", "AutosarComparison"
       });					
    addAnnotation
      (autosarComparisonParamEClass, 
       source, 
       new String[] 
       {
       "guid", "{8FF8523B-2B78-4150-BE0B-0968C84614A0}",
       "id", "237",
       "EA name", "AutosarComparisonParam"
       });					
    addAnnotation
      (getAutosarComparisonParam_Target(), 
       source, 
       new String[] 
       {
       "guid", "{AFB73A69-573D-412c-A7BD-C0063262FB66}",
       "id", "2026794467",
       "EA name", ""
       });					
    addAnnotation
      (chromosomeComparisonEClass, 
       source, 
       new String[] 
       {
       "guid", "{5779CAD4-C9C9-4acb-9616-B19C717FC4F3}",
       "id", "1937712278",
       "EA name", "ChromosomeComparison"
       });					
    addAnnotation
      (getChromosomeComparison_Target(), 
       source, 
       new String[] 
       {
       "guid", "{80618C2B-7949-4b1b-9D93-78D26F3BEEB6}",
       "id", "1740540707",
       "EA name", ""
       });				
    addAnnotation
      (chromosomeComparisonParameterEClass, 
       source, 
       new String[] 
       {
       "guid", "{E7E6B697-40B2-4665-87ED-F57ABBCE268B}",
       "id", "220441645",
       "EA name", "ChromosomeComparisonParameter"
       });					
    addAnnotation
      (getChromosomeComparisonParameter_Target(), 
       source, 
       new String[] 
       {
       "guid", "{0141F24B-2524-48fc-A7BD-E76CC98CF374}",
       "id", "-622177752",
       "EA name", ""
       });				
    addAnnotation
      (comparisonEClass, 
       source, 
       new String[] 
       {
       "guid", "{5EFC4ED3-B3FB-429c-9677-DA588E550F38}",
       "id", "235",
       "EA name", "Comparison"
       });					
    addAnnotation
      (getComparison_Tolerance(), 
       source, 
       new String[] 
       {
       "guid", "{3ED55FCA-29B9-47dc-8D1D-1798B5DFE5EF}",
       "id", "33",
       "EA name", "tolerance"
       });				
    addAnnotation
      (getComparison_Operation(), 
       source, 
       new String[] 
       {
       "guid", "{560EF7D8-96A4-4cdc-82E1-2A475FC43C1D}",
       "id", "1361539610",
       "EA name", "operation"
       });				
    addAnnotation
      (getComparison_ComparisonFalse(), 
       source, 
       new String[] 
       {
       "guid", "{7C12BC5D-5827-4ed5-8B47-1D7E3C62088B}",
       "id", "-1722776770",
       "EA name", ""
       });					
    addAnnotation
      (getComparison_ComparisonTrue(), 
       source, 
       new String[] 
       {
       "guid", "{A2960837-4926-4ccc-A9B4-4A992B0ABE50}",
       "id", "-508373656",
       "EA name", ""
       });					
    addAnnotation
      (getComparison_ParamB(), 
       source, 
       new String[] 
       {
       "guid", "{29A80DE6-140C-4143-A520-3D7CF99A2027}",
       "id", "147",
       "EA name", ""
       });					
    addAnnotation
      (getComparison_ParamA(), 
       source, 
       new String[] 
       {
       "guid", "{433C00B1-8353-4709-A24E-F312ED19718C}",
       "id", "149",
       "EA name", ""
       });					
    addAnnotation
      (comparisonOperationEEnum, 
       source, 
       new String[] 
       {
       "guid", "{AD9F179E-4F9F-4785-9F71-9640B1B509EF}",
       "id", "233",
       "EA name", "ComparisonOperation"
       });																		
    addAnnotation
      (comparisonParameterEClass, 
       source, 
       new String[] 
       {
       "guid", "{119FE195-1CA7-4320-AC2E-2E4B34CDF045}",
       "id", "234",
       "EA name", "ComparisonParameter"
       });					
    addAnnotation
      (constantComparisonParameterEClass, 
       source, 
       new String[] 
       {
       "guid", "{B34613A1-C815-4982-9F6F-1E238ADE1E56}",
       "id", "-978918889",
       "EA name", "ConstantComparisonParameter"
       });		
  }

  /**
   * Initializes the annotations for <b>TaggedValues</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createTaggedValuesAnnotations()
  {
    String source = "TaggedValues";				
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "xml.name", "COMPARISON",
       "xml.namePlural", "COMPARISONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (autosarComparisonEClass, 
       source, 
       new String[] 
       {
       "xml.name", "AUTOSAR-COMPARISON",
       "xml.namePlural", "AUTOSAR-COMPARISONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (autosarComparisonParamEClass, 
       source, 
       new String[] 
       {
       "xml.name", "AUTOSAR-COMPARISON-PARAM",
       "xml.namePlural", "AUTOSAR-COMPARISON-PARAMS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (getAutosarComparisonParam_Target(), 
       source, 
       new String[] 
       {
       "xml.name", "TARGET",
       "xml.namePlural", "TARGETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (chromosomeComparisonEClass, 
       source, 
       new String[] 
       {
       "xml.name", "CHROMOSOME-COMPARISON",
       "xml.namePlural", "CHROMOSOME-COMPARISONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getChromosomeComparison_Target(), 
       source, 
       new String[] 
       {
       "xml.name", "TARGET",
       "xml.namePlural", "TARGETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (chromosomeComparisonParameterEClass, 
       source, 
       new String[] 
       {
       "xml.name", "CHROMOSOME-COMPARISON-PARAMETER",
       "xml.namePlural", "CHROMOSOME-COMPARISON-PARAMETERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getChromosomeComparisonParameter_Target(), 
       source, 
       new String[] 
       {
       "xml.name", "TARGET",
       "xml.namePlural", "TARGETS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (comparisonEClass, 
       source, 
       new String[] 
       {
       "xml.name", "COMPARISON",
       "xml.namePlural", "COMPARISONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (getComparison_Tolerance(), 
       source, 
       new String[] 
       {
       "xml.name", "TOLERANCE",
       "xml.namePlural", "TOLERANCES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });				
    addAnnotation
      (getComparison_Operation(), 
       source, 
       new String[] 
       {
       "xml.name", "OPERATION",
       "xml.namePlural", "OPERATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getComparison_ComparisonFalse(), 
       source, 
       new String[] 
       {
       "xml.name", "COMPARISON-FALSE-REF",
       "xml.namePlural", "COMPARISON-FALSE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getComparison_ComparisonTrue(), 
       source, 
       new String[] 
       {
       "xml.name", "COMPARISON-TRUE-REF",
       "xml.namePlural", "COMPARISON-TRUE-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "true",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getComparison_ParamB(), 
       source, 
       new String[] 
       {
       "xml.name", "PARAM-B-REF",
       "xml.namePlural", "PARAM-B-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });					
    addAnnotation
      (getComparison_ParamA(), 
       source, 
       new String[] 
       {
       "xml.name", "PARAM-A-REF",
       "xml.namePlural", "PARAM-A-REFS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1",
       "xml.roleElement", "true",
       "xml.roleWrapperElement", "false",
       "xml.typeElement", "false",
       "xml.typeWrapperElement", "false"
       });						
    addAnnotation
      (comparisonOperationEEnum, 
       source, 
       new String[] 
       {
       "xml.name", "COMPARISON-OPERATION",
       "xml.namePlural", "COMPARISON-OPERATIONS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "xml.name", "LT",
       "xml.namePlural", "LTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "xml.name", "LTE",
       "xml.namePlural", "LTES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "xml.name", "EQ",
       "xml.namePlural", "EQS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "xml.name", "NEQ",
       "xml.namePlural", "NEQS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "xml.name", "GTE",
       "xml.namePlural", "GTES",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "xml.name", "GT",
       "xml.namePlural", "GTS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });					
    addAnnotation
      (comparisonParameterEClass, 
       source, 
       new String[] 
       {
       "xml.name", "COMPARISON-PARAMETER",
       "xml.namePlural", "COMPARISON-PARAMETERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });				
    addAnnotation
      (constantComparisonParameterEClass, 
       source, 
       new String[] 
       {
       "xml.name", "CONSTANT-COMPARISON-PARAMETER",
       "xml.namePlural", "CONSTANT-COMPARISON-PARAMETERS",
       "xml.nsPrefix", "EA",
       "xml.nsUri", "http://safe-project.eu/1.0.1"
       });	
  }

  /**
   * Initializes the annotations for <b>EAAdapter</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createEAAdapterAnnotations()
  {
    String source = "EAAdapter";					
    addAnnotation
      (this, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (autosarComparisonEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (autosarComparisonParamEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getAutosarComparisonParam_Target(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (chromosomeComparisonEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getChromosomeComparison_Target(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (chromosomeComparisonParameterEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getChromosomeComparisonParameter_Target(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (comparisonEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getComparison_Tolerance(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (getComparison_Operation(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getComparison_ComparisonFalse(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getComparison_ComparisonTrue(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getComparison_ParamB(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (getComparison_ParamA(), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });						
    addAnnotation
      (comparisonOperationEEnum, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(0), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(1), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(2), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(3), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(4), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });			
    addAnnotation
      (comparisonOperationEEnum.getELiterals().get(5), 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });					
    addAnnotation
      (comparisonParameterEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });				
    addAnnotation
      (constantComparisonParameterEClass, 
       source, 
       new String[] 
       {
       "metaModelType", "SAFE"
       });
  }

  /**
   * Initializes the annotations for <b>Stereotype</b>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected void createStereotypeAnnotations()
  {
    String source = "Stereotype";																																																												
    addAnnotation
      (comparisonOperationEEnum, 
       source, 
       new String[] 
       {
       "Stereotype", "enumeration"
       });																					
  }

} //ComparisonPackageImpl
