/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.ide.ui.internal.messages;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
    
    private static final String BUNDLE_NAME = "org.safe.ide.ui.internal.messages.Messages"; //$NON-NLS-1$

    public static String error_failedToSaveModelsInWorkbench;
    public static String error_requiredProjectNature;
    
    static {
	/* Load message values from bundle file. */
	NLS.initializeMessages(BUNDLE_NAME, Messages.class);
    }
}
